/*
 * Copyright 2012-2013 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#define UG_EDJ_PATH             "/usr/ug/res/edje/ug-myfile-efl"
#define UG_ICON_PATH                "/usr/ug/res/images/ug-myfile-efl"

#define UG_EDJ_NAVIGATIONBAR            UG_EDJ_PATH"/ug_navibar_layout.edj"


#define UG_GRP_LIST                 "effect/model/list"
#define UG_GRP_NAVI_VIEW            "navigation_view"
#define UG_GRP_CTRL_BAR             "ctrl_bar"
#define UG_GRP_NO_CONTENT           "noContent"
#define UG_GRP_PATH_INFO            "pathinfo"
#define UG_GRP_CTRLBAR_LAYOUT       "ctrlbar_layout"
#define UG_GRP_POPUP                "popup_new_folder"
#define UG_GRP_SEARCH_PATH          "search_path"

#define CTRLBAR_PADDING_X     30
#define CTRLBAR_PADDING_Y     30
#define COLOR_BLACK             0 0 0 255
#define COLOR_WHITE             250 250 250 255
#define NOCONTENT_IMAGE_REL1_WIDTH_HEIGHT_INC   0.282 0.294
#define NOCONTENT_IMAGE_REL2_WIDTH_HEIGHT_INC   0.718 0.54
#define NOCONTENT_MIDDLE_PADDING_INC            54
